function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("r_hall")
 
    std.create_tube(3,"x","e")
    std.create_center(5,"e")
 
    -- Adding env rect.
    add_env_rect(0,6,6, 0,8,8, "env_rect_base_death")

    local msg_str = "Another thing you can add "
        .. "to a chunk is an \"^x00ff00environment rect^!\". "
        .. "This is a rectangular region "
        .. "(all inside the current chunk) "
        .. "that affects the player once he intersects it. "
        .. "Within this room there is an "
        .. "environment rect of type \"death\". "
        .. "This death rect prevents you "
        .. "from going in the next room. "
        .. "Go to the file tut_lev3_env_rects.lua "
        .. "and remove the death rect. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
